gtk-sharp 0.0.0.0 neutral Gtk# is thread aware, but not thread safe; See the Gtk# Thread Programming for details. A widget that displays a small to medium amount of text

This widget displays a small to medium amount of text, it is the widget used by other widgets, such as and for displaying text.

Labels may contain mnemonics; mnemonics are underlined characters in the label, used for keyboard navigation. To provide the mnemonic, put an underscore before the mnemonic character, such as "_File".

Gtk.Misc Atk.Implementor GLib.IWrapper GLib.IWrapper System.IDisposable
- Method
  System.Boolean `` `` Gets the selected range of characters in the label. return location for start of selection, as a character offset return location for end of selection, as a character offset returns if there is a selection.
- Method
  System.Void `` `` Selects a range of characters in the label, if the label is selectable. start offset (in characters not bytes) end offset (in characters not bytes)

  Selects a range of characters in the label, if the label is selectable. See . If the label is not selectable, this function has no effect. If or are -1, then the end of the label will be substituted.

- Method
  System.Void `` `` Obtains the coordinates where the label will draw the representing the text in the label location to store X offset of layout, or location to store Y offset of layout, or

  Obtains the coordinates where the label will draw the representing the text in the label; useful to convert mouse events into coordinates inside the , e.g. to take some action if some part of the label is clicked. Of course you will need to create a to receive the events, and pack the label inside it, since labels are a widget. Remember when using the functions you need to convert to and from pixels using PANGO_PIXELS() or PANGO_SCALE.

- Method
  System.Void Disposes the resources associated with the object.
- Constructor
  Internal constructor
  Pointer to the C object.
  An instance of Label, wrapping the C object.

  This is an internal constructor, and should not be used by user code.

- Constructor
  Creates a new label with the given text inside it. You can pass to get an empty label widget.
  The text of the label
  the new label widget

  Creates a new label with the given text inside it. You can pass to get an empty label widget.

- Property
  System.String Sets the text of the label the text for this label

  Sets the text of the label. If characters in are preceded by an underscore, they are underlined indicating that they represent a keyboard accelerator called a mnemonic. The mnemonic key can be used to activate another widget, chosen automatically, or explicitly using .

- Property
  System.String Parses str which is marked up with the Pango text markup language a markup string (see Pango markup format) a GtkLabel

  Parses which is marked up with the Pango text markup language, setting the text of the label and attribute list based on the parse results.

- Property
  System.Boolean Toggles line wrapping within the GtkLabel widget. makes it break lines if text exceeds the size of the widget. lets the text get cut off by the edge of the widget if it exceeds the widget size. if the lines of the label are automatically wrapped.
- Property
  System.String The text within the widget. The text you want to set. a

  When setting the text within the widget, it overwrites any text that was there before.

- Property
  Pango.Layout Gets the used to display the label. the for this label

  Gets the used to display the label. The layout is useful to e.g. convert text positions to pixel positions, in combination with . The returned layout is owned by the label so need not be freed by the caller.

- Property
  System.String Parses which is marked up with the Pango text markup language, setting the text of the label and attribute list based on the parse results. a markup string (see Pango markup format) a new label widget

  Parses which is marked up with the Pango text markup language, setting the text of the label and attribute list based on the parse results. If characters in the string are preceded by an underscore, they are underlined indicating that they represent a keyboard accelerator called a mnemonic.

  The mnemonic key can be used to activate another widget, chosen automatically, or explicitly using .

- Property
  System.Boolean Toggle whether or not the label allow the user to select text from the label, for copy-and-paste. to allow selecting text in the label, and to disallow. if the label is selectable, and if not.
- Property
  Gtk.Justification The alignment of the lines in the text of the label relative to each other a The justification of the label

  Sets the alignment of the lines in the text of the label relative to each other. is the default value when the widget is first created with . If you instead want to set the alignment of the label as a whole, set instead. This has no effect on labels containing only a single line.

- Property
  System.Int32 The current position of the insertion cursor in characters. The current position of the insertion cursor in characters
- Property
  System.Int32 The position of the opposite end of the selection from the cursor in characters. The position of the opposite end of the selection from the cursor in characters.
- Property
  Gtk.Widget The widget to be activated when the label's mnemonic key is pressed. The widget to be activated when the label's mnemonic key is pressed. The widget to be activated when the label's mnemonic key is pressed.
- Property
  System.String The text from a label widget including any embedded underlines indicating mnemonics and Pango markup. The text of the label widget The text of the label widget.
- Property
  System.String A string with _ characters in positions correspond to characters in the text to underline. A string with _ characters in positions correspond to characters in the text to underline.
- Property
  System.UInt32 The mnemonic accelerator key for this label. The mnemonic accelerator key for this label.
- Property
  System.Boolean Whether lines should be wrapped if the text becomes too wide. to wrap lines whether lines should be wrapped
- Property
  System.Boolean Whether an underline in the text indicates the next character should be used for the mnemonic accelerator key. to use underline Whether an underline in the text indicates the next character should be used for the mnemonic accelerator key.
- Property
  System.Boolean Whether the label's text is interpreted as marked up with the Pango text markup language. to parse the text as Pango markup, as plain-text
- Property
  Pango.AttrList The attribute list set on the label. a the attribute list set on the label

  This function does not reflect attributes that come from the labels markup (see ). If you want to get the effective attributes for the label, use on the label's property.

- Event
  Gtk.MoveCursorHandler Emitted when the cursor is moved.
- Event
  Gtk.PopulatePopupHandler Emitted when a right-click pop-up menu is displayed
- Event
  System.EventHandler Emitted when text is copied to the clipboard.
- Property
  GLib.GType GType Property. a Returns the native value for .
- Method
  System.Void Default handler for the event. Override this method in a subclass to provide a default handler for the event.
- Method
  System.Void `` Default handler for the event. a Override this method in a subclass to provide a default handler for the event.
- Method
  System.Void `` `` `` Default handler for the event. a a a Override this method in a subclass to provide a default handler for the event.
- Constructor
  Internal constructor
  a
  a
  This is not typically used by C# code.
- Method
  Gtk.Label `` Basic constructor. a a
- Constructor
  Creates a new without text.
  a
- Method
  System.UInt32 `` To be added a a To be added
- Method
  System.Void `` To be added a To be added